﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace MvcTest.Models
{
    public class MyData
    {
        public int RecID { get; set; }
        public int? OrderID { get; set; }
        public DateTime? OrderDate { get; set; }
        public string Descr { get; set; }
    }

    public static class Utils
    {
        public static IEnumerable<MyData> GetData()
        {
            List<MyData> list = new List<MyData>();
            for (int i = 0; i < 20; i++)
            {
                list.Add(new MyData { RecID = i, OrderID = i, OrderDate = DateTime.Now.AddDays(-5*(20-i)), Descr = "Descr"+i.ToString()});
            }
            return list;
        }
    }
}